Groups
Add Group Gallery Image
Adds an image to a Group gallery.
Authorization
authCookie auth<token>
Auth Token via Cookie
In: cookie
Path Parameters
groupId*string
Must be a valid group ID.
groupGalleryId*string
Must be a valid group gallery ID.
Request Body
application/json
fileId*string
Response Body
application/json
application/json
application/json
curl -X POST "https://api.vrchat.cloud/api/1/groups/grp_00000000-0000-0000-0000-000000000000/galleries/ggal_00000000-0000-0000-0000-000000000000/images" \ -H "Content-Type: application/json" \ -d '{ "fileId": "file_ce35d830-e20a-4df0-a6d4-5aaef4508044" }'{
"approved": true,
"approvedAt": "2019-08-24T14:15:22Z",
"approvedByUserId": "usr_c1644b5b-3ca4-45b4-97c6-a2a0de70d469",
"createdAt": "2019-08-24T14:15:22Z",
"fileId": "file_ce35d830-e20a-4df0-a6d4-5aaef4508044",
"galleryId": "ggal_a03a4b55-4ca6-4490-9519-40ba6351a233",
"groupId": "grp_71a7ff59-112c-4e78-a990-c7cc650776e5",
"id": "ggim_71a7ff59-112c-4e78-a990-c7cc650776e5",
"imageUrl": "https://api.vrchat.cloud/api/1/file/file_ce35d830-e20a-4df0-a6d4-5aaef4508044/1/file",
"submittedByUserId": "usr_c1644b5b-3ca4-45b4-97c6-a2a0de70d469"
}{
"error": {
"message": "\"Missing Credentials\"",
"status_code": 401
}
}{
"error": {
"message": "Can't find groupǃ",
"status_code": 404
}
}